List invoices by paypoint
Returns a list of invoices for an entrypoint. Use filters to limit results. Include the exportFormat query parameter to return the results as a file instead of a JSON response.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Long-lived API token sent in the requestToken header. See API token authentication.
Path parameters
The paypoint’s entrypoint identifier. Learn more
Query parameters
Max number of records to return for the query. Use 0 or negative value to return all records.
Collection of field names, conditions, and values used to filter the query
See Filters and Conditions Reference for help.
Accepted field names:
invoiceDate(gt, ge, lt, le, eq, ne)dueDate(gt, ge, lt, le, eq, ne)sentDate(gt, ge, lt, le, eq, ne)frequency(in, nin,ne, eq)invoiceType(eq, ne)payTerms(in, nin, eq, ne)paypointId(ne, eq)totalAmount(gt, ge, lt, le, eq, ne)paidAmount(gt, ge, lt, le, eq, ne)status(in, nin, eq, ne)invoiceNumber(ct, nct, eq, ne)purchaseOrder(ct, nct, eq, ne)itemProductCode(ct, nct)itemDescription(ct, nct)customerFirstname(ct, nct, eq, ne)customerLastname(ct, nct, eq, ne)customerName(ct, nct)customerId(eq, ne)customerNumber(ct, nct, eq, ne)customerCompanyname(ct, nct, eq, ne)customerAddress(ct, nct, eq, ne)customerCity(ct, nct, eq, ne)customerZip(ct, nct, eq, ne)customerState(ct, nct, eq, ne)customerCountry(ct, nct, eq, ne)customerPhone(ct, nct, eq, ne)customerEmail(ct, nct, eq, ne)customerShippingAddress(ct, nct, eq, ne)customerShippingCity(ct, nct, eq, ne)customerShippingZip(ct, nct, eq, ne)customerShippingState(ct, nct, eq, ne)customerShippingCountry(ct, nct, eq, ne)orgId(eq)paylinkId(ne, eq)paypointLegal(ne, eq, ct, nct)paypointDba(ne, eq, ct, nct)orgName(ne, eq, ct, nct)additional-xxx(ne, eq, ct, nct) where xxx is the additional field name
Accepted comparison operators - enclosed between parentheses:
- eq or empty => equal
- gt => greater than
- ge => greater or equal
- lt => less than
- le => less or equal
- ne => not equal
- ct => contains
- nct => not contains
- in => inside array
- nin => not inside array
Accepted parameters:
- limitRecord : max number of records for query (default=“20”, “0” or negative value for all)
- fromRecord : initial record in query
Example: totalAmount(gt)=20 return all records with totalAmount greater than 20.00
The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.
Response
Success. Fields marked optional may return null if not set.